Summary: PostScript Utilities
Name: psutils
Version: 1.17
Release: 6m
Group: Applications/Publishing
License: GPL or Artistic
Source: ftp://ftp.dcs.ed.ac.uk/pub/ajcd/psutils-p17.tar.gz
Patch: psutils-cflags.patch
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-root
#Requires: perl
BuildPreReq: perl

%description
This package contains some utilities for manipulating PostScript documents.
Page selection and rearrangement are supported, including arrangement into
signatures for booklet printing, and page merging for n-up printing.


%prep
%setup -q -n %{name}

rm -fr %{buildroot}

%patch -p0 -b .cflags

%build
make -f Makefile.unix INCLUDEDIR=%{prefix}/share/psutils PERL=%{prefix}/bin/perl

%install
mkdir -p %{buildroot}%{prefix}/share
mkdir -p %{buildroot}%{_mandir}
make -f Makefile.unix install \
	    BINDIR=%{buildroot}%{prefix}/bin \
	INCLUDEDIR=%{buildroot}%{prefix}/share/psutils \
	    MANDIR=%{buildroot}%{_mandir}/man1

cd %{buildroot}%{prefix}/bin
strip epsffit psbook psnup psresize psselect pstops

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README
%{prefix}/bin/*
%{_mandir}/man1/*
%{prefix}/share/psutils/

%changelog
* Sat Jun  5 2004 Masahiro Takahata <takahata@momonga-linux.org>
- (1.17-6m)
- add source

* Thu Sep 18 2003 Kenta MURATA <muraken2@nifty.com>
- (1.17-5m)
- change license for Momonga Linux Package License Notation
  Specification.

* Fri Jun 30 2000 KOMATSU Shinichiro <koma2@jiro.c.u-tokyo.ac.jp>
- spec file - JRPM (p17-2JRPM60).
- be NoSource.
- psutils-cflags.patch - patch to reflect optflags

* Sun May 30 1999 FURUSAWA,Kazuhisa <kazu@linux.or.jp>
- 2nd Release for i386 (glibc2.1).
- Original Packager: Atsushi Yamagata <yamagata@plathome.co.jp>

* Sun Jan 24 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- 2nd release
- built against glibc
- added Distribution, Vendor, and Prefix tags
- Utilities/Text -> Utilities/Printing

* Mon Oct 13 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release
